package com.jeeplus.test.reimbursementsys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.reimbursementsys.domain.dto.ReimbursementBusinessTwoDTO;
import com.jeeplus.test.reimbursementsys.domain.dto.ReimbursementDTO;

import java.util.List;

public interface ReimbursementBusinessTwoService {

    IPage<ReimbursementBusinessTwoDTO> findListPage(Page<ReimbursementBusinessTwoDTO> page,
                                                    ReimbursementBusinessTwoDTO reimbursementBusiness);

    void delPhysicsById(String id);

    /**
     * 根据发票id删除发票信息（逻辑删除）
     * @param idList
     */
    void deleteByList(List <String> idList);

    void addData(ReimbursementBusinessTwoDTO reimbursementBusinessTwoDTO);

    List<ReimbursementDTO> findSelectList();

    void modifyBindCode(String ids,String businessCode,String reimbursementAddress);

    List<String> findSelectYearList();

    List<ReimbursementDTO> findSelectCodeListByYear(String year, String reimbursementAddress);

    ReimbursementBusinessTwoDTO findDataById(String id);
}
